Subject: RTSP specification of NPT values

From: "Dirk Pranke" <[email-masked]>
Date: 19 Nov 98 22:41:10 -0800

Although I've only seen questions about SAP and SIP recently, I'm assuming 
this is the right list to ask questions about RTSP. Someone please correct
me 
if I'm wrong. 
 
I have a question about the RTSP grammar, in particular the grammar of the 
"npt-range" nonterminal. 
 
Quoting from RFC 2326: 
 
   npt-range    =   ( npt-time "-" [ npt-time ] ) | ( "-" npt-time ) 
   npt-time     =   "now" | npt-sec | npt-hhmmss 
   npt-sec      =   1*DIGIT [ "." *DIGIT ] 
   npt-hhmmss   =   npt-hh ":" npt-mm ":" npt-ss [ "." *DIGIT ] 
   npt-hh       =   1*DIGIT     ; any positive number 
   npt-mm       =   1*2DIGIT    ; 0-59 
   npt-ss       =   1*2DIGIT    ; 0-59 
  
   Examples: 
     npt=123.45-125 
     npt=12:05:35.3- 
     npt=now- 
 
the "npt=" part doesn't appear in the grammar (although "clock=" and
"smpte=" 
do for the other formats). Should it? Or are all the examples wrong? Put 
differently, should it be "Range: 10-20" or "Range: npt=10-20" or both? I 
would think that the "npt=" should be required, and it's just an omission. 
 
Also, is there an errata for the RFC available somewhere? I've noticed other 
inconsistencies (and would be happy to post them if this is the proper
forum) 
... 
 
Thanks, 
 
-- Dirk 
 
-------------			   -------			   ------------ 
 Dirk Pranke       	                "I guess I wouldn't believe in anything 
 Oracle Interactive Television Division       anymore if it wasn't for my
lucky 
 650 506 6594 / 650 506 7615 (fax)          astrology mood watch." -- S.
Martin 
---                            ---------------------		            ---

---

From: Henning Schulzrinne <[email-masked]>
Date: Fri, 20 Nov 1998 11:44:26 -0500

> this is the right list to ask questions about RTSP. Someone please correct

The rule of a working group: at most one topic at a time :-)

> would think that the "npt=" should be required, and it's just an omission.

Yes, this is an omission.

> inconsistencies (and would be happy to post them if this is the proper

There is no errata sheet yet. Once the SIP spec is taken care of, I will
start folding in errata, with the target of releasing a spec suitable
for progression to Draft Standard early next year. Thus, I would suggest
that people start sending me errata by email. The list is probably more
suitable for discussions of any changes or adjustments of a more
substantive nature.

-- 
Henning Schulzrinne         email: [email-masked]
Dept. of Computer Science   phone: +1 732 949 8344 (at Bell Labs)
Columbia University         fax:   +1 212 666-0140
New York, NY 10027          URL:   http://www.cs.columbia.edu/~hgs